﻿using System;
using System.Data;

namespace Kreta.DataAccessManual.EntityModel
{
    public class EmailData
    {
        public int Id { get; set; }
        public int Statusz { get; set; }
        public DateTime? KuldesDatum { get; set; }
        public DateTime? KuldesKezdete { get; set; }
        public int KuldesekSzama { get; set; }
        public int KuldoId { get; set; }
        public int LCID { get; set; }
        public int IntezmenyId { get; set; }
        public int TanevId { get; set; }
        public string Szoveg { get; set; }
        public string EmailCim { get; set; }
        public string Targy { get; set; }
        public string KuldoNev { get; set; }

        public EmailData() { }
        public EmailData(DataRow row)
        {
            if (row["kuldesDatum"] != DBNull.Value)
            {
                KuldesDatum = row.Field<DateTime>("kuldesDatum");
            }
            if (row["kuldesKezdete"] != DBNull.Value)
            {
                KuldesKezdete = row.Field<DateTime>("kuldesKezdete");
            }
            if (row["kuldoId"] != DBNull.Value)
            {
                KuldoId = row.Field<int>("kuldoId");
            }
            if (row["LCID"] != DBNull.Value)
            {
                LCID = row.Field<int>("LCID");
            }

            Id = row.Field<int>("ID");
            Statusz = row.Field<int>("statusz");
            KuldesekSzama = row.Field<int>("kuldesekSzama");
            Szoveg = row.Field<string>("szoveg");
            EmailCim = row.Field<string>("emailcim");
            KuldoNev = row.Field<string>("kuldoNev");
            Targy = row.Field<string>("targy");
            IntezmenyId = row.Field<int>("intezmenyId");
            TanevId = row.Field<int>("tanevId");
        }
    }
}
